[arch-commits] Commit in setserial/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Eric Bélanger eric at archlinux.org
Fri Apr 17 22:04:38 EDT 2009


    Date: Friday, April 17, 2009 @ 22:04:38
  Author: eric
Revision: 35887

Fixed svn conflict

Modified:
  setserial/repos/extra-x86_64/	(properties)
  setserial/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   17 +++++++++--------
 1 file changed, 9 insertions(+), 8 deletions(-)


Property changes on: setserial/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /setserial/trunk:1
   + /setserial/trunk:1-35886

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-04-18 02:03:40 UTC (rev 35886)
+++ extra-x86_64/PKGBUILD	2009-04-18 02:04:38 UTC (rev 35887)
@@ -3,19 +3,20 @@
 # Contributor: Aurelien Foret <orelien at chez.com>
 pkgname=setserial
 pkgver=2.17
-pkgrel=2
+pkgrel=3
 pkgdesc="Allows to change various attributes of a serial device."
-arch=(i686 x86_64)
+arch=('i686' 'x86_64')
 url="http://setserial.sourceforge.net/"
+license=('GPL')
 depends=('glibc')
-source=(http://dl.sourceforge.net/sourceforge/$pkgname/$pkgname-$pkgver.tar.gz $pkgname.patch)
+source=(http://downloads.sourceforge.net/sourceforge/$pkgname/$pkgname-$pkgver.tar.gz $pkgname.patch)
 md5sums=('c4867d72c41564318e0107745eb7a0f2' '99919d3be7c1550721494070a7ace66a')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-  patch -Np1 -i ../$pkgname.patch
-  ./configure --prefix=/usr
+  cd $srcdir/$pkgname-$pkgver
+  patch -Np1 -i ../$pkgname.patch || return 1
+  ./configure --prefix=/usr --mandir=/usr/share/man || return 1
   make || return 1
-  mkdir -p $startdir/pkg/usr/{bin,man/man8}
-  make DESTDIR=$startdir/pkg install
+  install -d $pkgdir/usr/{bin,share/man/man8}
+  make DESTDIR=$pkgdir install || return 1
 }



More information about the arch-commits mailing list